import { WhopClient } from "@whop/sdk";
const client = new WhopClient({ token: "YOUR_TOKEN", apiVersionDate: "2026-08-21-1", idempotencyKey: "YOUR_IDEMPOTENCY_KEY" });
await client.accounts.formCompany({
id: "id",
business_address: {
city: "Austin",
country: "US",
line1: "4180 Burnet Rd",
line2: "Suite 2",
postal_code: "78756",
state: "TX"
},
business_name: "Shine Time Auto Detailing",
business_phone: "+15125550142",
business_type: "brick_and_mortar",
business_website: "https://shinetime.example",
entity_suffix: "LLC",
entity_type: "llc",
expedite_ein: true,
formation_state: "TX",
founders: [{
address: {
city: "Austin",
country: "US",
line1: "907 Ridgemont Dr",
line2: "Apt 4",
postal_code: "78704",
state: "TX"
},
date_of_birth: "1988-03-14",
email: "marcus@shinetime.example",
first_name: "Marcus",
is_primary: true,
last_name: "Webb",
ownership_percentage: 100,
phone: "+15125550142",
roles: ["president"],
ssn: "123-45-6789"
}],
industry_group: "automotive",
industry_type: "car_wash",
share_structure: {
number_of_shares: 123,
value: 123
},
use_registered_agent: true
});
curl --request POST \
--url https://api.whop.com/api/v1/accounts/{id}/form_company \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"business_address": {
"city": "Austin",
"country": "US",
"line1": "4180 Burnet Rd",
"line2": "Suite 2",
"postal_code": "78756",
"state": "TX"
},
"business_name": "Shine Time Auto Detailing",
"business_phone": "+15125550142",
"business_website": "https://shinetime.example",
"entity_suffix": "LLC",
"entity_type": "llc",
"expedite_ein": true,
"formation_state": "WY",
"founders": [
{
"address": {
"city": "Austin",
"country": "US",
"line1": "907 Ridgemont Dr",
"line2": "Apt 4",
"postal_code": "78704",
"state": "TX"
},
"date_of_birth": "1988-03-14",
"email": "marcus@shinetime.example",
"first_name": "Marcus",
"is_primary": true,
"last_name": "Webb",
"ownership_percentage": 100,
"phone": "+15125550142",
"roles": [
"president"
],
"ssn": "123-45-6789"
}
],
"share_structure": {
"number_of_shares": 123,
"value": 123
},
"use_registered_agent": true
}
'import requests
url = "https://api.whop.com/api/v1/accounts/{id}/form_company"
payload = {
"business_address": {
"city": "Austin",
"country": "US",
"line1": "4180 Burnet Rd",
"line2": "Suite 2",
"postal_code": "78756",
"state": "TX"
},
"business_name": "Shine Time Auto Detailing",
"business_phone": "+15125550142",
"business_website": "https://shinetime.example",
"entity_suffix": "LLC",
"entity_type": "llc",
"expedite_ein": True,
"formation_state": "WY",
"founders": [
{
"address": {
"city": "Austin",
"country": "US",
"line1": "907 Ridgemont Dr",
"line2": "Apt 4",
"postal_code": "78704",
"state": "TX"
},
"date_of_birth": "1988-03-14",
"email": "marcus@shinetime.example",
"first_name": "Marcus",
"is_primary": True,
"last_name": "Webb",
"ownership_percentage": 100,
"phone": "+15125550142",
"roles": ["president"],
"ssn": "123-45-6789"
}
],
"share_structure": {
"number_of_shares": 123,
"value": 123
},
"use_registered_agent": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
business_address: {
city: 'Austin',
country: 'US',
line1: '4180 Burnet Rd',
line2: 'Suite 2',
postal_code: '78756',
state: 'TX'
},
business_name: 'Shine Time Auto Detailing',
business_phone: '+15125550142',
business_website: 'https://shinetime.example',
entity_suffix: 'LLC',
entity_type: 'llc',
expedite_ein: true,
formation_state: 'WY',
founders: [
{
address: {
city: 'Austin',
country: 'US',
line1: '907 Ridgemont Dr',
line2: 'Apt 4',
postal_code: '78704',
state: 'TX'
},
date_of_birth: '1988-03-14',
email: 'marcus@shinetime.example',
first_name: 'Marcus',
is_primary: true,
last_name: 'Webb',
ownership_percentage: 100,
phone: '+15125550142',
roles: ['president'],
ssn: '123-45-6789'
}
],
share_structure: {number_of_shares: 123, value: 123},
use_registered_agent: true
})
};
fetch('https://api.whop.com/api/v1/accounts/{id}/form_company', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.whop.com/api/v1/accounts/{id}/form_company",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'business_address' => [
'city' => 'Austin',
'country' => 'US',
'line1' => '4180 Burnet Rd',
'line2' => 'Suite 2',
'postal_code' => '78756',
'state' => 'TX'
],
'business_name' => 'Shine Time Auto Detailing',
'business_phone' => '+15125550142',
'business_website' => 'https://shinetime.example',
'entity_suffix' => 'LLC',
'entity_type' => 'llc',
'expedite_ein' => true,
'formation_state' => 'WY',
'founders' => [
[
'address' => [
'city' => 'Austin',
'country' => 'US',
'line1' => '907 Ridgemont Dr',
'line2' => 'Apt 4',
'postal_code' => '78704',
'state' => 'TX'
],
'date_of_birth' => '1988-03-14',
'email' => 'marcus@shinetime.example',
'first_name' => 'Marcus',
'is_primary' => true,
'last_name' => 'Webb',
'ownership_percentage' => 100,
'phone' => '+15125550142',
'roles' => [
'president'
],
'ssn' => '123-45-6789'
]
],
'share_structure' => [
'number_of_shares' => 123,
'value' => 123
],
'use_registered_agent' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.whop.com/api/v1/accounts/{id}/form_company"
payload := strings.NewReader("{\n \"business_address\": {\n \"city\": \"Austin\",\n \"country\": \"US\",\n \"line1\": \"4180 Burnet Rd\",\n \"line2\": \"Suite 2\",\n \"postal_code\": \"78756\",\n \"state\": \"TX\"\n },\n \"business_name\": \"Shine Time Auto Detailing\",\n \"business_phone\": \"+15125550142\",\n \"business_website\": \"https://shinetime.example\",\n \"entity_suffix\": \"LLC\",\n \"entity_type\": \"llc\",\n \"expedite_ein\": true,\n \"formation_state\": \"WY\",\n \"founders\": [\n {\n \"address\": {\n \"city\": \"Austin\",\n \"country\": \"US\",\n \"line1\": \"907 Ridgemont Dr\",\n \"line2\": \"Apt 4\",\n \"postal_code\": \"78704\",\n \"state\": \"TX\"\n },\n \"date_of_birth\": \"1988-03-14\",\n \"email\": \"marcus@shinetime.example\",\n \"first_name\": \"Marcus\",\n \"is_primary\": true,\n \"last_name\": \"Webb\",\n \"ownership_percentage\": 100,\n \"phone\": \"+15125550142\",\n \"roles\": [\n \"president\"\n ],\n \"ssn\": \"123-45-6789\"\n }\n ],\n \"share_structure\": {\n \"number_of_shares\": 123,\n \"value\": 123\n },\n \"use_registered_agent\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.whop.com/api/v1/accounts/{id}/form_company")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"business_address\": {\n \"city\": \"Austin\",\n \"country\": \"US\",\n \"line1\": \"4180 Burnet Rd\",\n \"line2\": \"Suite 2\",\n \"postal_code\": \"78756\",\n \"state\": \"TX\"\n },\n \"business_name\": \"Shine Time Auto Detailing\",\n \"business_phone\": \"+15125550142\",\n \"business_website\": \"https://shinetime.example\",\n \"entity_suffix\": \"LLC\",\n \"entity_type\": \"llc\",\n \"expedite_ein\": true,\n \"formation_state\": \"WY\",\n \"founders\": [\n {\n \"address\": {\n \"city\": \"Austin\",\n \"country\": \"US\",\n \"line1\": \"907 Ridgemont Dr\",\n \"line2\": \"Apt 4\",\n \"postal_code\": \"78704\",\n \"state\": \"TX\"\n },\n \"date_of_birth\": \"1988-03-14\",\n \"email\": \"marcus@shinetime.example\",\n \"first_name\": \"Marcus\",\n \"is_primary\": true,\n \"last_name\": \"Webb\",\n \"ownership_percentage\": 100,\n \"phone\": \"+15125550142\",\n \"roles\": [\n \"president\"\n ],\n \"ssn\": \"123-45-6789\"\n }\n ],\n \"share_structure\": {\n \"number_of_shares\": 123,\n \"value\": 123\n },\n \"use_registered_agent\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.whop.com/api/v1/accounts/{id}/form_company")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"business_address\": {\n \"city\": \"Austin\",\n \"country\": \"US\",\n \"line1\": \"4180 Burnet Rd\",\n \"line2\": \"Suite 2\",\n \"postal_code\": \"78756\",\n \"state\": \"TX\"\n },\n \"business_name\": \"Shine Time Auto Detailing\",\n \"business_phone\": \"+15125550142\",\n \"business_website\": \"https://shinetime.example\",\n \"entity_suffix\": \"LLC\",\n \"entity_type\": \"llc\",\n \"expedite_ein\": true,\n \"formation_state\": \"WY\",\n \"founders\": [\n {\n \"address\": {\n \"city\": \"Austin\",\n \"country\": \"US\",\n \"line1\": \"907 Ridgemont Dr\",\n \"line2\": \"Apt 4\",\n \"postal_code\": \"78704\",\n \"state\": \"TX\"\n },\n \"date_of_birth\": \"1988-03-14\",\n \"email\": \"marcus@shinetime.example\",\n \"first_name\": \"Marcus\",\n \"is_primary\": true,\n \"last_name\": \"Webb\",\n \"ownership_percentage\": 100,\n \"phone\": \"+15125550142\",\n \"roles\": [\n \"president\"\n ],\n \"ssn\": \"123-45-6789\"\n }\n ],\n \"share_structure\": {\n \"number_of_shares\": 123,\n \"value\": 123\n },\n \"use_registered_agent\": true\n}"
response = http.request(request)
puts response.read_body{
"checkout_session_id": "ch_xxxxxxxxxxxxxx",
"checkout_url": "https://whop.com/checkout/ch_xxxxxxxxxxxxxx/",
"currency": "usd",
"total": 40000
}{
"error": {
"message": "account_id is required",
"type": "bad_request",
"code": "<string>"
}
}{
"error": {
"message": "account_id is required",
"type": "bad_request",
"code": "<string>"
}
}{
"error": {
"message": "account_id is required",
"type": "bad_request",
"code": "<string>"
}
}{
"error": {
"message": "account_id is required",
"type": "bad_request",
"code": "<string>"
}
}{
"error": {
"message": "account_id is required",
"type": "bad_request",
"code": "<string>"
}
}Form Company
Starts an LLC or C-Corp formation for a business account. The application is validated and the response returns a hosted checkout URL; once paid, the filing is submitted. Track progress through the account’s company_formation field on Retrieve Account.
import { WhopClient } from "@whop/sdk";
const client = new WhopClient({ token: "YOUR_TOKEN", apiVersionDate: "2026-08-21-1", idempotencyKey: "YOUR_IDEMPOTENCY_KEY" });
await client.accounts.formCompany({
id: "id",
business_address: {
city: "Austin",
country: "US",
line1: "4180 Burnet Rd",
line2: "Suite 2",
postal_code: "78756",
state: "TX"
},
business_name: "Shine Time Auto Detailing",
business_phone: "+15125550142",
business_type: "brick_and_mortar",
business_website: "https://shinetime.example",
entity_suffix: "LLC",
entity_type: "llc",
expedite_ein: true,
formation_state: "TX",
founders: [{
address: {
city: "Austin",
country: "US",
line1: "907 Ridgemont Dr",
line2: "Apt 4",
postal_code: "78704",
state: "TX"
},
date_of_birth: "1988-03-14",
email: "marcus@shinetime.example",
first_name: "Marcus",
is_primary: true,
last_name: "Webb",
ownership_percentage: 100,
phone: "+15125550142",
roles: ["president"],
ssn: "123-45-6789"
}],
industry_group: "automotive",
industry_type: "car_wash",
share_structure: {
number_of_shares: 123,
value: 123
},
use_registered_agent: true
});
curl --request POST \
--url https://api.whop.com/api/v1/accounts/{id}/form_company \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"business_address": {
"city": "Austin",
"country": "US",
"line1": "4180 Burnet Rd",
"line2": "Suite 2",
"postal_code": "78756",
"state": "TX"
},
"business_name": "Shine Time Auto Detailing",
"business_phone": "+15125550142",
"business_website": "https://shinetime.example",
"entity_suffix": "LLC",
"entity_type": "llc",
"expedite_ein": true,
"formation_state": "WY",
"founders": [
{
"address": {
"city": "Austin",
"country": "US",
"line1": "907 Ridgemont Dr",
"line2": "Apt 4",
"postal_code": "78704",
"state": "TX"
},
"date_of_birth": "1988-03-14",
"email": "marcus@shinetime.example",
"first_name": "Marcus",
"is_primary": true,
"last_name": "Webb",
"ownership_percentage": 100,
"phone": "+15125550142",
"roles": [
"president"
],
"ssn": "123-45-6789"
}
],
"share_structure": {
"number_of_shares": 123,
"value": 123
},
"use_registered_agent": true
}
'import requests
url = "https://api.whop.com/api/v1/accounts/{id}/form_company"
payload = {
"business_address": {
"city": "Austin",
"country": "US",
"line1": "4180 Burnet Rd",
"line2": "Suite 2",
"postal_code": "78756",
"state": "TX"
},
"business_name": "Shine Time Auto Detailing",
"business_phone": "+15125550142",
"business_website": "https://shinetime.example",
"entity_suffix": "LLC",
"entity_type": "llc",
"expedite_ein": True,
"formation_state": "WY",
"founders": [
{
"address": {
"city": "Austin",
"country": "US",
"line1": "907 Ridgemont Dr",
"line2": "Apt 4",
"postal_code": "78704",
"state": "TX"
},
"date_of_birth": "1988-03-14",
"email": "marcus@shinetime.example",
"first_name": "Marcus",
"is_primary": True,
"last_name": "Webb",
"ownership_percentage": 100,
"phone": "+15125550142",
"roles": ["president"],
"ssn": "123-45-6789"
}
],
"share_structure": {
"number_of_shares": 123,
"value": 123
},
"use_registered_agent": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
business_address: {
city: 'Austin',
country: 'US',
line1: '4180 Burnet Rd',
line2: 'Suite 2',
postal_code: '78756',
state: 'TX'
},
business_name: 'Shine Time Auto Detailing',
business_phone: '+15125550142',
business_website: 'https://shinetime.example',
entity_suffix: 'LLC',
entity_type: 'llc',
expedite_ein: true,
formation_state: 'WY',
founders: [
{
address: {
city: 'Austin',
country: 'US',
line1: '907 Ridgemont Dr',
line2: 'Apt 4',
postal_code: '78704',
state: 'TX'
},
date_of_birth: '1988-03-14',
email: 'marcus@shinetime.example',
first_name: 'Marcus',
is_primary: true,
last_name: 'Webb',
ownership_percentage: 100,
phone: '+15125550142',
roles: ['president'],
ssn: '123-45-6789'
}
],
share_structure: {number_of_shares: 123, value: 123},
use_registered_agent: true
})
};
fetch('https://api.whop.com/api/v1/accounts/{id}/form_company', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.whop.com/api/v1/accounts/{id}/form_company",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'business_address' => [
'city' => 'Austin',
'country' => 'US',
'line1' => '4180 Burnet Rd',
'line2' => 'Suite 2',
'postal_code' => '78756',
'state' => 'TX'
],
'business_name' => 'Shine Time Auto Detailing',
'business_phone' => '+15125550142',
'business_website' => 'https://shinetime.example',
'entity_suffix' => 'LLC',
'entity_type' => 'llc',
'expedite_ein' => true,
'formation_state' => 'WY',
'founders' => [
[
'address' => [
'city' => 'Austin',
'country' => 'US',
'line1' => '907 Ridgemont Dr',
'line2' => 'Apt 4',
'postal_code' => '78704',
'state' => 'TX'
],
'date_of_birth' => '1988-03-14',
'email' => 'marcus@shinetime.example',
'first_name' => 'Marcus',
'is_primary' => true,
'last_name' => 'Webb',
'ownership_percentage' => 100,
'phone' => '+15125550142',
'roles' => [
'president'
],
'ssn' => '123-45-6789'
]
],
'share_structure' => [
'number_of_shares' => 123,
'value' => 123
],
'use_registered_agent' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.whop.com/api/v1/accounts/{id}/form_company"
payload := strings.NewReader("{\n \"business_address\": {\n \"city\": \"Austin\",\n \"country\": \"US\",\n \"line1\": \"4180 Burnet Rd\",\n \"line2\": \"Suite 2\",\n \"postal_code\": \"78756\",\n \"state\": \"TX\"\n },\n \"business_name\": \"Shine Time Auto Detailing\",\n \"business_phone\": \"+15125550142\",\n \"business_website\": \"https://shinetime.example\",\n \"entity_suffix\": \"LLC\",\n \"entity_type\": \"llc\",\n \"expedite_ein\": true,\n \"formation_state\": \"WY\",\n \"founders\": [\n {\n \"address\": {\n \"city\": \"Austin\",\n \"country\": \"US\",\n \"line1\": \"907 Ridgemont Dr\",\n \"line2\": \"Apt 4\",\n \"postal_code\": \"78704\",\n \"state\": \"TX\"\n },\n \"date_of_birth\": \"1988-03-14\",\n \"email\": \"marcus@shinetime.example\",\n \"first_name\": \"Marcus\",\n \"is_primary\": true,\n \"last_name\": \"Webb\",\n \"ownership_percentage\": 100,\n \"phone\": \"+15125550142\",\n \"roles\": [\n \"president\"\n ],\n \"ssn\": \"123-45-6789\"\n }\n ],\n \"share_structure\": {\n \"number_of_shares\": 123,\n \"value\": 123\n },\n \"use_registered_agent\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.whop.com/api/v1/accounts/{id}/form_company")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"business_address\": {\n \"city\": \"Austin\",\n \"country\": \"US\",\n \"line1\": \"4180 Burnet Rd\",\n \"line2\": \"Suite 2\",\n \"postal_code\": \"78756\",\n \"state\": \"TX\"\n },\n \"business_name\": \"Shine Time Auto Detailing\",\n \"business_phone\": \"+15125550142\",\n \"business_website\": \"https://shinetime.example\",\n \"entity_suffix\": \"LLC\",\n \"entity_type\": \"llc\",\n \"expedite_ein\": true,\n \"formation_state\": \"WY\",\n \"founders\": [\n {\n \"address\": {\n \"city\": \"Austin\",\n \"country\": \"US\",\n \"line1\": \"907 Ridgemont Dr\",\n \"line2\": \"Apt 4\",\n \"postal_code\": \"78704\",\n \"state\": \"TX\"\n },\n \"date_of_birth\": \"1988-03-14\",\n \"email\": \"marcus@shinetime.example\",\n \"first_name\": \"Marcus\",\n \"is_primary\": true,\n \"last_name\": \"Webb\",\n \"ownership_percentage\": 100,\n \"phone\": \"+15125550142\",\n \"roles\": [\n \"president\"\n ],\n \"ssn\": \"123-45-6789\"\n }\n ],\n \"share_structure\": {\n \"number_of_shares\": 123,\n \"value\": 123\n },\n \"use_registered_agent\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.whop.com/api/v1/accounts/{id}/form_company")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"business_address\": {\n \"city\": \"Austin\",\n \"country\": \"US\",\n \"line1\": \"4180 Burnet Rd\",\n \"line2\": \"Suite 2\",\n \"postal_code\": \"78756\",\n \"state\": \"TX\"\n },\n \"business_name\": \"Shine Time Auto Detailing\",\n \"business_phone\": \"+15125550142\",\n \"business_website\": \"https://shinetime.example\",\n \"entity_suffix\": \"LLC\",\n \"entity_type\": \"llc\",\n \"expedite_ein\": true,\n \"formation_state\": \"WY\",\n \"founders\": [\n {\n \"address\": {\n \"city\": \"Austin\",\n \"country\": \"US\",\n \"line1\": \"907 Ridgemont Dr\",\n \"line2\": \"Apt 4\",\n \"postal_code\": \"78704\",\n \"state\": \"TX\"\n },\n \"date_of_birth\": \"1988-03-14\",\n \"email\": \"marcus@shinetime.example\",\n \"first_name\": \"Marcus\",\n \"is_primary\": true,\n \"last_name\": \"Webb\",\n \"ownership_percentage\": 100,\n \"phone\": \"+15125550142\",\n \"roles\": [\n \"president\"\n ],\n \"ssn\": \"123-45-6789\"\n }\n ],\n \"share_structure\": {\n \"number_of_shares\": 123,\n \"value\": 123\n },\n \"use_registered_agent\": true\n}"
response = http.request(request)
puts response.read_body{
"checkout_session_id": "ch_xxxxxxxxxxxxxx",
"checkout_url": "https://whop.com/checkout/ch_xxxxxxxxxxxxxx/",
"currency": "usd",
"total": 40000
}{
"error": {
"message": "account_id is required",
"type": "bad_request",
"code": "<string>"
}
}{
"error": {
"message": "account_id is required",
"type": "bad_request",
"code": "<string>"
}
}{
"error": {
"message": "account_id is required",
"type": "bad_request",
"code": "<string>"
}
}{
"error": {
"message": "account_id is required",
"type": "bad_request",
"code": "<string>"
}
}{
"error": {
"message": "account_id is required",
"type": "bad_request",
"code": "<string>"
}
}Autorisaties
An Account API key, an account access token, an account-scoped user token, or a user OAuth token. Prepend the key or token with Bearer, for example Bearer ***************************. See Auth & API keys for how to get each one.
Headers
A unique key that makes this request safe to retry. See Idempotent requests.
255"d9105228-4a08-46b1-8b91-42fed586d383"
Body
Two-letter code of the US state (or DC) to form the company in. We recommend WY because Wyoming formations are completed the same day.
AL, AK, AZ, AR, CA, CO, CT, DE, DC, FL, GA, HI, ID, IL, IN, IA, KS, KY, LA, ME, MD, MA, MI, MN, MS, MO, MT, NE, NV, NH, NJ, NM, NY, NC, ND, OH, OK, OR, PA, RI, SC, SD, TN, TX, UT, VT, VA, WA, WV, WI, WY "WY"
Legal entity ending appended to business_name. LLC formations accept LLC, L.L.C, L.L.C. or Limited Liability Company and default to LLC; C-Corp formations accept Inc, Inc., Incorporated, Corp., Corporation, C Corp, C Corporation, CCorp or Company and default to Inc.. Unrecognized values fall back to the default for the entity type.
LLC, L.L.C, L.L.C., Limited Liability Company, Inc, Inc., Incorporated, Corp., Corporation, C Corp, C Corporation, CCorp, Company "Limited Liability Company"
Respons
application accepted and checkout created

